summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2019-06-02 11:14:14 +0200
committerFabian Groffen <grobian@gentoo.org>2019-06-02 11:15:08 +0200
commite69f4ec1ce6dfd58a333517cb6d696512303fc38 (patch)
tree6f95a59f25969199ef4d59df70ee489191f2e73f
parentwww-apps/ikiwiki: stable for amd64 (diff)
downloadgentoo-e69f4ec1ce6dfd58a333517cb6d696512303fc38.tar.gz
gentoo-e69f4ec1ce6dfd58a333517cb6d696512303fc38.tar.bz2
gentoo-e69f4ec1ce6dfd58a333517cb6d696512303fc38.zip
dev-lang/perl: fix install on Darwin, bug #684030
Closes: https://bugs.gentoo.org/684030 Package-Manager: Portage-2.3.62-prefix, Repoman-2.3.13 Signed-off-by: Fabian Groffen <grobian@gentoo.org>
-rw-r--r--dev-lang/perl/perl-5.30.0.ebuild5
1 files changed, 5 insertions, 0 deletions
diff --git a/dev-lang/perl/perl-5.30.0.ebuild b/dev-lang/perl/perl-5.30.0.ebuild
index f16a51d1a1a..8f0c0cb48d1 100644
--- a/dev-lang/perl/perl-5.30.0.ebuild
+++ b/dev-lang/perl/perl-5.30.0.ebuild
@@ -338,6 +338,11 @@ src_prepare() {
sed -i -e 's/netbsd\*/netbsd*|solaris*/' Makefile.SH || die
fi
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ # fix install_name (soname) not to reference $D
+ sed -i -e '/install_name `pwd/s/`pwd`/\\$(shrpdir)/' Makefile.SH || die
+ fi
+
default
}